Bug Hunting Session
Bug 62774 - threaded XML parser ...
Summary: threaded XML parser ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-26 17:28 UTC by Michael Meeks
Modified: 2019-02-05 09:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample sheet with 100k random doubles in a column (1.38 MB, application/vnd.oasis.opendocument.spreadsheet)
2013-03-26 17:29 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-03-26 17:28:02 UTC
Calc with it's huge data-sets is the app that this would most likely benefit most from; I attach a small sample document and a callgrind profile showing the unzip + SAX parse + namespace resolution at >10% of document load time.

10% is not that much, but we other ongoing work to improve other calc core code performance :-)
Comment 1 Michael Meeks 2013-03-26 17:29:06 UTC
Created attachment 77071 [details]
sample sheet with 100k random doubles in a column
Comment 2 Michael Meeks 2013-03-26 17:30:33 UTC
callgrind profile at: http://users.freedesktop.org/~michael/callgrind-load-doubles.txt.gz - download, gzip -d and run kachegrind to see the result (if you're interested).
Comment 3 Roman Kuznetsov 2019-02-04 20:26:59 UTC
Michael, were these patches https://lists.freedesktop.org/archives/libreoffice/2017-August/078392.html solution of this enhancement?

If yes, then please close this as Resolved Fixed.

Thank you
Comment 4 Michael Meeks 2019-02-05 09:18:29 UTC
Yes - thanks, lets close this - the proportion nowadays is ~50% of document load time - and again we need to thread more - but ... ;-) that needs a different bug really.